// 
// Copyright (c) 2002-2009 Nokia Corporation and/or its subsidiary(-ies).
// All rights reserved.
// This component and the accompanying materials are made available
// under the terms of the License "Eclipse Public License v1.0"
// which accompanies this distribution, and is available
// at the URL "http://www.eclipse.org/legal/epl-v10.html".
// 
// Initial Contributors:
// Nokia Corporation - initial contribution.
// 
// Contributors:
// 
// Description:
// 

#ifndef __ContactMoveAPPUI_H_
#define __ContactMoveAPPUI_H_


#include <aknappui.h>

class CContactMoveMainView;
class CContactWrite;

class CContactMoveAppUi : public CAknAppUi
    {
public:

	void ConstructL();
	~CContactMoveAppUi();

	void HandleCommandL(TInt aCommand);
	
	void HandleResourceChangeL(TInt aType);

private:

	CContactMoveMainView* iMainView;
	CContactWrite* iContactWriter;

	};

#endif // __ContactMoveAPPUI_H_

// End of File
